> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Payment Method for a customer

> This endpoint deletes a payment method for a customer.  Must pass at least one filter to select
 a specific customer



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml post /api/payment-method/delete
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/payment-method/delete:
    post:
      tags:
        - Payment Method management
      summary: Delete a Payment Method for a customer
      description: >-
        This endpoint deletes a payment method for a customer.  Must pass at
        least one filter to select
         a specific customer
      operationId: deleteAPaymentMethodForACustomer
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                    payment_method_id:
                      type: integer
                      description: The ID of the payment method.
                      example: 12345
                    uuid:
                      type: string
                      description: UUID of the customer. Must be in uuid format.
                      example: 3c37db03-dc71-4e8b-90e7-6668290b7c3d
                  required:
                    - sid
                    - payment_method_id
      responses:
        '200':
          description: Successful Deletion
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Payment Method deleted successfully.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Payment Method deleted successfully.
                        description: >-
                          The message of the response. Example: Payment Method
                          deleted successfully.
        '401':
          description: Token permission error
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission denied
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission denied
                        description: >-
                          The message of the response. Example: Payment Method
                          deleted successfully.
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Customer not found
                    type: object
                    example:
                      data:
                        message: Customer not found.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Customer not found.
                            description: >-
                              The message of the response. Example: Payment
                              Method deleted successfully.
                  - description: Merchant not found
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                            description: >-
                              The message of the response. Example: Payment
                              Method deleted successfully.
                  - description: Payment Method not found
                    type: object
                    example:
                      data:
                        message: Payment Method not found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Payment Method not found
                            description: >-
                              The message of the response. Example: Payment
                              Method deleted successfully.
        '409':
          description: Payment method has active recurring payments
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: >-
                      Cannot delete payment method with active recurring
                      payments.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          Cannot delete payment method with active recurring
                          payments.
                        description: >-
                          The message of the response. Example: Payment Method
                          deleted successfully.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````